import 'package:bonree_flutter_plugin/src/business/util/logger.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class BonreeMaterialPageRoute<T> extends MaterialPageRoute<T> {
  String? routeName;

  BonreeMaterialPageRoute(
      {@required builder,
      RouteSettings? settings,
      maintainState = true,
      bool fullscreenDialog = false,
      this.routeName})
      : assert(builder != null),
        assert(maintainState != null),
        super(
            builder: builder,
            settings: settings,
            maintainState: maintainState,
            fullscreenDialog: fullscreenDialog) {
    Logger().i("BonreeMaterialPageRoute routeName: $routeName");
    assert(opaque);
  }
}
