import 'dart:io';

import '../../business/bonree_business_interface.dart';
import 'bonree_http_client.dart';

class BonreeHttpOverrides extends HttpOverrides {
  BonreeBusinessInterface _bonree;
  var _originOverride;
  BonreeHttpOverrides(this._bonree, this._originOverride);

  @override
  HttpClient createHttpClient(SecurityContext? context) {
    //兼容逻辑
    if (_originOverride is HttpOverrides) {
      return BonreeHttpClient(
          _originOverride.createHttpClient(context), _bonree);
    }
    return BonreeHttpClient(super.createHttpClient(context), _bonree);
  }
}
