import 'package:bonree_flutter_plugin/src/business/util/logger.dart';
import 'package:flutter/services.dart';

const bonreeMethodChannel = const MethodChannel("bonree_flutter_plugin");

Future<void> onMethodChannelInvoke(String methodName, [Map? params]) async {
  try {
    await bonreeMethodChannel.invokeMethod(methodName, params);
  } catch (e) {
    Logger().e(e.toString());
  }
}
